ruby i thought it couldnt get any worse

Mon, Dec 13, 2010

So I came in this morning, ran this:

svn update
rake db:migrate
and got this:
`bin_path’: can’t find executable rake for rake-0.8.7
Turns out you have to remove this file:
RUBY_HOME/lib/ruby/gems/1.9.1/specifications/rake.gemspec
rake was working so where did that file come from? There are two possibilities, either RubyMine did something bad to my system as it doesn’t work, or I haven’t run rake since installing spork as it doesn’t work either apparently. Who knows? It’s ruby, get used to the mess.

comments powered by Disqus